| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::AlgoTraceProps Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::AlgoTraceProps:
[legend]

## Public Member Functions
| AlgoTraceProps ()
| AlgoTraceProps (const std::string &name, int index, int rank, double runtime)

## Public Attributes
std::string | m_name
int | m_index {-1}
int | m_rank {-1}
int | m_runtime {-1}
int | m_eccentricity {-1}

## Detailed Description

Definition at line 30 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::AlgoTraceProps::AlgoTraceProps | ( |  | ) |
| inline

Definition at line 31 of file PrecedenceRulesGraph.h.

31 {}

precedence::AlgoTraceProps::AlgoTraceProps | ( | const std::string & | name,
|  | int | index,
|  | int | rank,
|  | double | runtime
| ) |  |
| inline

Definition at line 32 of file PrecedenceRulesGraph.h.

33 : m_name( name ), m_index( index ), m_rank( rank ), m_runtime( runtime )
34 {
35 }
precedence::AlgoTraceProps::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:36
precedence::AlgoTraceProps::m_rank
int m_rank
Definition: PrecedenceRulesGraph.h:38
precedence::AlgoTraceProps::m_runtime
int m_runtime
Definition: PrecedenceRulesGraph.h:39
precedence::AlgoTraceProps::m_index
int m_index
Definition: PrecedenceRulesGraph.h:37

## Member Data Documentation

int precedence::AlgoTraceProps::m_eccentricity {-1}

Definition at line 40 of file PrecedenceRulesGraph.h.

int precedence::AlgoTraceProps::m_index {-1}

Definition at line 37 of file PrecedenceRulesGraph.h.

std::string precedence::AlgoTraceProps::m_name

Definition at line 36 of file PrecedenceRulesGraph.h.

int precedence::AlgoTraceProps::m_rank {-1}

Definition at line 38 of file PrecedenceRulesGraph.h.

int precedence::AlgoTraceProps::m_runtime {-1}

Definition at line 39 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h